#ifndef XCARDMEMORY_H
#define XCARDMEMORY_H

#include "xasset.h"

class XCardMemory : public XAsset
{
public:
    explicit XCardMemory();
    ~XCardMemory();

    qint32 GetPlatform() const;

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    qint32 mPlatform;
};

#endif // XCARDMEMORY_H
